<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="../layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/layout/form/_form_page.xhtml">
            <h2>#{messages['net.ihe.gazelle.atna.CreateTLSSSLServerSimulator']}</h2>

            <s:decorate template="/simulators/commonEdit.xhtml">
                <ui:param name="simulatorBean" value="#{serverSimulatorBean}"/>

                <ui:define name="simulatorCertificateSelector">

                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="certificateInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Certificate']}</ui:define>
                        <h:selectOneMenu id="certificateInput" value="#{simulatorBean.certificate}" disabled="#{simulatorBean.hasConnections()}"
                                         styleClass="form-control gzl-select-text" required="true">
                            <f:selectItems value="#{simulatorBean.getAvailableCertificates()}"/>
                        </h:selectOneMenu>
                    </s:decorate>

                </ui:define>

                <ui:define name="peerAuthPriorParam">
                    <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.RequireClientAuthentication']}</ui:define>
                        <h:selectBooleanCheckbox value="#{simulatorBean.clientAuthenticationRequired}" disabled="#{simulatorBean.hasConnections()}">
                            <a4j:ajax event="change" render="peerAuthenticationParam"/>
                        </h:selectBooleanCheckbox>
                    </s:decorate>
                </ui:define>

                <ui:define name="additionalParameters">

                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.NetworkParameter']}</ui:define>

                        <div class="form-horizontal">

                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="serverTypeInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.ServerType']}</ui:define>
                                <h:selectOneMenu id="serverTypeInput" value="#{simulatorBean.channelType}"
                                                 required="true" styleClass="form-control gzl-select-text" disabled="#{simulatorBean.hasConnections()}">
                                    <s:selectItems value="#{simulatorBean.getChannelTypes()}" var="ct"
                                                   label="#{ct.toString()}"/>
                                </h:selectOneMenu>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="serverPortInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.ServerPort']}</ui:define>
                                <rich:inputNumberSpinner id="serverPortInput" minValue="1025" maxValue="65536"
                                                         value="#{simulatorBean.localPort}"
                                                         required="true"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="forwardHostInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.ForwardHost']}</ui:define>
                                <h:inputText id="forwardHostInput" value="#{simulatorBean.remoteHost}"
                                             size="60" required="true" styleClass="form-control"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="forwardPortInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.ForwardPort']}</ui:define>
                                <rich:inputNumberSpinner id="forwardPortInput" minValue="1" maxValue="65536"
                                                         value="#{simulatorBean.remotePort}"
                                                         required="true"/>
                            </s:decorate>

                        </div>
                    </ui:decorate>

                </ui:define>

                <ui:define name="additionalButtons">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.SaveAndStartServer']}"
                                       action="#{simulatorBean.saveAndStart()}"
                                       render="createForm" styleClass="gzl-btn-blue"/>
                </ui:define>

            </s:decorate>
        </ui:decorate>
    </ui:define>
</ui:composition>
